import datetime
from pathlib import Path

from abra_api.DataItem import DataItem


class DataInfo:
    def __init__(self, path: Path, created: datetime.datetime, updated: datetime.datetime, data_item: DataItem):
        self.path = path
        self.created = created
        self.updated = updated
        self.data_item = data_item

    def to_dict(self) -> dict:
        return {
            'path': self.path.absolute(),
            'created': self.created,
            'updated': self.updated,
            'data_item': {
                'order_number': self.data_item.order_number,
                'order_name_identifier': self.data_item.order_name_identifier,
                'order_name': self.data_item.order_name,
                'internal_id': self.data_item.internal_id,
                'state': self.data_item.state
            }
        }

    def __repr__(self):
        return '{}'.format(self.to_dict())
